16.20 - Instalación del paquete de cliente de Ecosystem Manager en Linux (no administrado por Teradata) - Teradata Ecosystem Manager

Teradata® Ecosystem Manager Guía de instalación, configuración y actualizaciónpara clientes

prodname
Teradata Ecosystem Manager
vrm_release
16.20
category
Configuración
Instalación
featnum
B035-3203-107K-ESN
Además de instalar el paquete del cliente como se describe aquí, Ecosystem Manager proporciona una API de REST para la instalación y configuración de determinados tipos de paquetes de editor y agente del cliente. Como referencia, visite: http://EM server host:port/swagger-ui.html#!/server-controller/updateServerUsingPUT. Para ver un ejemplo: http://wario:8090/swagger-ui.html#!/server-controller/updateServerUsingPUT. Para obtener ejemplos de API, consulte: Teradata® Ecosystem Manager API Reference.
  1. Instale JDK/JRE 1.8 si no está instalado.
    1. Descargue el paquete teradata-jdk8__sles_x8664.1.8.0_xx-tdc2.tar.gz.
    2. Extraiga el paquete:tar -xvf teradata-jdk8__sles_x8664.1.8.0_xx-tdc2.tar.gz
    3. Instale el paquete:rpm -uvh teradata-jdk8-1.8.0_xx-tdc2.x86_64.rpm
  2. Descargue los paquetes de cliente en una carpeta del servidor.
  3. Extraiga los archivos:tar -xvf em-publisher-linux64__linux_x86_64.16.20.xx.xx-1.tar.gz

    tar -xvf em-agent-linux64__linux_x86_64.16.20.xx.xx-1.tar.gz

  4. Busque los siguientes paquetes rpm:em-publisher-16.20.xx.xx-1.x86_64.rpm

    em-agent-16.20.xx.xx-1.x86_64.rpm

  5. Instale los paquetes rpm en el archivo /opt/teradata/client/em.rpm -ivh em-publisher-16.20.xx.xx-1.x86_64.rpm

    rpm –ivh em-agent-16.20.xx.xx-1.x86_64.rpm

  6. Ejecute el script para configurar los parámetros de los servicios de Ecosystem Manager:/opt/teradata/client/em/bin/emserviceconfig.sh
    Parámetros:
    • JRE HOME (1.8)
    • PRIMARY EM SERVER HOSTNAME(BROKER)
    • FAIL-OVER EM SERVER HOSTNAME(BROKER)
    • ECOSYSTEM ID
    • RESOURCE SUB-CATEGORY
    Para entornos de sistema único, utilice el mismo valor para los parámetros Principal y Nombre de host del servidor de reserva. Para los servidores, utilice uno de los siguientes valores:
    Valor Descripción
    RS Replicación
    BI Inteligencia empresarial
    BAR Copia de seguridad, archivo y restauración
    LS Carga
    TD Teradata
    APP Aplicación
    ETL Extraer/Transformar/Cargar
    BUS BUS de mensajes
    Unknown Autorregistrado
    USL Unity Source Link
    En el siguiente ejemplo svr1 y svr2 son los servidores de Ecosystem Manager, eco1 es el ecosistema, y APP es la subcategoría de recursos:

    /opt/teradata/client/em/bin/emserviceconfig.sh /usr/java/jre1.8.0_18 svr1 svr2 eco1 APP

    Esto establece los parámetros de la siguiente manera:

    Parámetro Configuración
    JRE HOME (1.8) /usr/java/jre1.8.0_18
    PRIMARY EM SERVER HOSTNAME(BROKER) svr1
    FAIL-OVER EM SERVER HOSTNAME(BROKER) svr2
    ECOSYSTEM ID eco1
    RESOURCE SUB-CATEGORY APP
  7. Dehabilite la entrega de metadatos operativos de TPT.
  8. Compruebe el estado de los servicios de Ecosystem Manager:/opt/teradata/client/em/emstatus.sh
  9. Detenga los servicios de Ecosystem Manager en el servidor Linux:/opt/teradata/client/em/emstopall.sh
    Si el paquete de Linux está instalado en un servidor de Data Mover, reinicie ambos servicios de Data Mover (el daemon y el agente) para la integración.
  10. [Opcional] Para Red Hat 7.x, si se produce un error en la instalación de em-publisher-16.20.12.xx-1.x86-64.rpm o una versión posterior, siga estos pasos.
    1. Compruebe que aparece el siguiente mensaje de error:
      error: Failed dependencies:
              libc.so.6 is needed by em-publisher-16.20.12.00-1.x86_64
              libc.so.6(GLIBC_2.0) is needed by em-publisher-16.20.12.00-1.x86_64
              libc.so.6(GLIBC_2.1) is needed by em-publisher-16.20.12.00-1.x86_64
              libc.so.6(GLIBC_2.1.3) is needed by em-publisher-16.20.12.00-1.x86_64
              libc.so.6(GLIBC_2.2) is needed by em-publisher-16.20.12.00-1.x86_64
              libgcc_s.so.1 is needed by em-publisher-16.20.12.00-1.x86_64
              libgcc_s.so.1(GCC_3.0) is needed by em-publisher-16.20.12.00-1.x86_64
              libnsl.so.1 is needed by em-publisher-16.20.12.00-1.x86_64
              libstdc++.so.6 is needed by em-publisher-16.20.12.00-1.x86_64
              libstdc++.so.6(CXXABI_1.3) is needed by em-publisher-16.20.12.00-1.x86_64
              libstdc++.so.6(GLIBCXX_3.4) is needed by em-publisher-16.20.12.00-1.x86_64
              libstdc++.so.6(GLIBCXX_3.4.5) is needed by em-publisher-16.20.12.00-1.x86_64
              libuuid.so.1 is needed by em-publisher-16.20.12.00-1.x86_64
      
    2. Instale las dependencias que faltan con estos comandos:
      yum install glibc.i686
      yum install glibc-devel.i686
      yum install libstdc++.i686
      yum install libuuid.i686
      yum install dos2unix
      
    3. Vuelva a instalar el paquete em-publisher.
  11. [Opcional] Para SLES 12, debe ejecutar el comando systemctl daemon-reload antes de ejecutar /opt/teradata/client/em/bin/emserviceconfig.sh.
    Solo debe ejecutar systemctl daemon-reload la primera vez que ejecute emserviceconfig.sh.